Child pages
  • Install WOLips with Eclipse Update Manager

To edit or add content to this Wiki, you can simply create a new account at http://wocommunity.org/account.

Skip to end of metadata
Go to start of metadata

You are viewing an old version of this page. View the current version.

Compare with Current View Page History

« Previous Version 45 Next »

Short Story

Long Story

The first requirement for installing WOLips is that you have Eclipse. It is recommended that you install Eclipse 3.3.1 (or 3.3.1.1) to use WOLips. To install Eclipse, go to the Eclipse 3.3.1 Download Site and download the build that matches your operating system and uncompress it.

If you are going the 3.3.1 route, then as of Oct 15, 2007, the only distro that is up to 3.3.1 release is Eclipse Classic, so use that one (or, if you are so inclined, download one of the other versions and immediately run the Eclipse project update which will get you to 3.3.1).

1. Launch the Eclipse application.


2. The first window that will appear on a new installation of Eclipse is the workspace folder selection dialog. Your workspace is the folder that will contain all of your active projects along with the metadata Eclipse requires to maintain the projects.


3. The first time you launch Eclipse, you will be taken to the Welcome screen. You can review the Welcome content if you would like. When you are finished, select the "Workbench" icon on the right side, as pictured below. After this there is a small pane in the lower right status bar, where you can look up the Welcome screen again.


4. Currently you have a stock Eclipse installation which will allow you to do normal Java development, but it does not contain any of the WOLips plugins, so you will not have any of the WebObjects development tools. To begin your WOLips installation, go to the Help=>Software Updates=>Find and Install ... menu item.


5. Select "Search for new features to install" and click "Next"


6. The next dialog you get to shows the list of update sites that are available in your Eclipse install. The first time you go through this process, you will need to create the Remote Install site that points to the WOLips server. After the initial install, you can skip this step and just select the already existing WOLips site instead. To continue, select "New Remote Site" on the right hand side.


7. In the New Update Site dialog, enter "WOLips" as the name, and as the URL http://webobjects.mdimension.com/wolips/nightly and click OK.

Note: All builds beyond 4118 are Eclipse 3.3 only. So get the latest nightly .... and don't be so eager to update it every day if it is running smoothly (smile)


8. You should now be returned to the list of install sites with your new Remote Install Site selected. Click "Finish" to continue.


9. Expand the WOLips folder and select only Standard Install. Leave the other options until you are more familiar with Eclipse and WOLips and decide that you need them.


10. This next dialog contains the license agreements for the selected features. After reviewing the agreements (you DO review your license agreements, right?? (smile) ), select "I accept the terms in this license agreement". Selecting this radio button will accept the license agreements for all of the features listed. Click "Next" to continue.


11. The dialog you are presented with shows a review of the features you selected. Click "Finish" to continue.


12. Eclipse will now download the features and plugins that you requested.


13. Once the download is complete, Eclipse will present you with the installation confirmation for each feature. The easiest option is to just select "Install All," though you can review each one individually if you would like.


14. More of the waiting game, though it should be quicker than the download.


15. Eclipse will need to be restarted for the WOLips plugins to be available.


16. Before you create/import projects, it might be prudent to check that Eclipse is using the latest Java 1.5. So go ahead and open Eclipse -> Preferences and navigate to following preferences pane and make sure Java 1.5 (which is a symbolic link to the latest version of 1.5 on your system) is selected

That's it! You now have all of the WOLips features installed in your Eclipse. Continue to the Create a new WO Application tutorial to learn more about using WOLips' capabilities. You can also Access the WOLips User Guide.

  • No labels